package pl.op.dar.spring;

import com.vaadin.flow.router.BeforeEnterEvent;
import com.vaadin.flow.router.BeforeEnterListener;
import com.vaadin.flow.router.ListenerPriority;
import com.vaadin.flow.server.ServiceInitEvent;
import com.vaadin.flow.server.UIInitEvent;
import com.vaadin.flow.server.UIInitListener;
import com.vaadin.flow.server.VaadinServiceInitListener;
import com.vaadin.flow.spring.annotation.SpringComponent;

@SpringComponent
@ListenerPriority(Integer.MAX_VALUE - 1)
public class AppListener implements VaadinServiceInitListener, UIInitListener, BeforeEnterListener {
	private static final long serialVersionUID = 1;

	@Override
	public void serviceInit(ServiceInitEvent event) {
		event.getSource().addUIInitListener(this);
	}

	@Override
	public void uiInit(UIInitEvent event) {
		event.getUI().addBeforeEnterListener(this);
	}

	@Override
	public void beforeEnter(BeforeEnterEvent event) {
		System.out.println(event.getNavigationTarget().getName());
		System.out.println(event.getLocation().getPath());
		System.out.println("--------------");
	}
}
